package com.nisum.ascend.inventory.model;

import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

@Getter
@Setter
@Document(collection = "products")
public class Product {
    @Id
    private String id;
    @Indexed(unique=true)
    private String sku;
    private String upc;
    private String productName;
    private String productDescription;
    private float price;
    private int availableStock;
    private int blockedStock;
    private int fulfilledStock;
    private String productImageUrl;
    private String brand;
    private String category;

    public Product() {}
    public Product(String sku, String upc, String productName, String productDescription, float price, int availableStock,
                   String productImageUrl, String brand, String category) {
        this.sku = sku;
        this.upc = upc;
        this.productName = productName;
        this.productDescription = productDescription;
        this.price = price;
        this.availableStock = availableStock;
        this.blockedStock = 0;
        this.fulfilledStock = 0;
        this.productImageUrl = productImageUrl;
        this.brand = brand;
        this.category = category;
    }
}
